org.apache.ignite.internal.processors.cache

## Class GridCacheUpdateTxResult

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUpdateTxResult

    public class GridCacheUpdateTxResult
    extends Object

Cache entry transactional update result.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `filtered()`
`void` `filtered(boolean filtered)`
`CacheInvokeResult` `invokeResult()`
`void` `invokeResult(CacheInvokeResult result)`
`WALPointer` `loggedPointer()`
`List<MvccLinkAwareSearchRow>` `mvccHistory()`
`void` `mvccHistory(List<MvccLinkAwareSearchRow> mvccHistory)`
`GridLongList` `mvccWaitTransactions()`
`CacheObject` `newValue()`
`void` `newValue(CacheObject newVal)`
`CacheObject` `oldValue()`
`void` `oldValue(CacheObject oldVal)`
`CacheObject` `prevValue()`
`void` `prevValue(CacheObject prevVal)`
`boolean` `success()`
`String` `toString()`
`long` `updateCounter()`
`IgniteInternalFuture<GridCacheUpdateTxResult>` `updateFuture()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### updateCounter

    public long updateCounter()

Returns:
  Partition update counter.

#### success

    public boolean success()

Returns:
  Success flag.

#### loggedPointer

    public WALPointer loggedPointer()

Returns:
  Logged WAL pointer for the update if persistence is enabled.

#### updateFuture

    @Nullable
    public IgniteInternalFuture<GridCacheUpdateTxResult> updateFuture()

Returns:
  Update future.

#### mvccWaitTransactions

    @Nullable
    public GridLongList mvccWaitTransactions()

Returns:
  List of transactions to wait for completion.

#### mvccHistory

    @Nullable
    public List<MvccLinkAwareSearchRow> mvccHistory()

Returns:
  Mvcc history rows.

#### mvccHistory

    public void mvccHistory(List<MvccLinkAwareSearchRow> mvccHistory)

Parameters:
  `mvccHistory` - Mvcc history rows.

#### prevValue

    @Nullable
    public CacheObject prevValue()

Returns:
  Previous value.

#### prevValue

    public void prevValue(@Nullable
                          CacheObject prevVal)

Parameters:
  `prevVal` - Previous value.

#### invokeResult

    public void invokeResult(CacheInvokeResult result)

Parameters:
  `result` - Entry processor invoke result.

#### invokeResult

    public CacheInvokeResult invokeResult()

Returns:
  Invoke result.

#### newValue

    public CacheObject newValue()

Returns:
  New value.

#### oldValue

    public CacheObject oldValue()

Returns:
  Old value.

#### newValue

    public void newValue(CacheObject newVal)

Parameters:
  `newVal` - New value.

#### oldValue

    public void oldValue(CacheObject oldVal)

Parameters:
  `oldVal` - Old value.

#### filtered

    public boolean filtered()

Returns:
  Filtered flag.

#### filtered

    public void filtered(boolean filtered)

Parameters:
  `filtered` - Filtered flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019